package com.nuliji.tools.exception;

/**
 * Created by gaojie on 2017/5/11.
 * 内部异常
 */
abstract public class InsideException extends RuntimeException {
    private int code = 0;

    InsideException(int code, String message) {
        super(message);
        this.code = code;
    }
    InsideException(String message) {
        super(message);
    }

    InsideException(String message, Throwable cause) {
        super(message, cause);
    }

    InsideException(Throwable cause) {
        super(cause);
    }

    InsideException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    public int getCode(){
        return code;
    }
}
